打印

求助LNMP1.4安装PHP失败

求助LNMP1.4安装PHP失败

求助:PHP安装失败。望大神们帮忙解决。非常感谢。
服务器系统信息:ARM机顶盒一台(1G RAM   32G ROM)CPU芯片:S905
使用系统发行版名称:
Ubuntu Linux 16.04.3
系统内核:Linux 3.14.29

CPU:64位的  aarch64
使用一键包提供的php5.x(所以版本)与php7.x(所以版本)都安装失败。


附:使用apt-get install php,可以顺利安装php7 ,下面是我的/etc/apt/sources.list:
deb http://ports.ubuntu.com/ xenial main restricted universe multiverse
#deb-src http://ports.ubuntu.com/ xenial main restricted universe multiverse

deb http://ports.ubuntu.com/ xenial-security main restricted universe multiverse
#deb-src http://ports.ubuntu.com/ xenial-security main restricted universe multiverse

deb http://ports.ubuntu.com/ xenial-updates main restricted universe multiverse
#deb-src http://ports.ubuntu.com/ xenial-updates main restricted universe multiverse

deb http://ports.ubuntu.com/ xenial-backports main restricted universe multiverse
#deb-src http://ports.ubuntu.com/ xenial-backports main restricted universe multiverse

deb http://download.webmin.com/download/repository sarge contrib
deb http://webmin.mirror.somersettechsolutions.co.uk/repository sarge contrib
附件: 您所在的用户组无法下载或查看附件

TOP

aarch64的目前都不支持的,一部分依赖包是不支持aarch64架构的
可以尝试将 include/php.sh 中的 --with-iconv-dir 、--with-mcrypt 、--with-mhash 全部参数去掉再重新安装试试
apt-get安装能成功这些模块也都是去掉了的

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

回复 2# 的帖子

好的,非常感谢您的帮助。

TOP

回复 2# 的帖子

根据您的教程,成功安装LNMP。非常感谢。

TOP